/*

Copies pchjobs, ipws, and maindata from main folder to appendix.

----------------------------------------------------------------------------- */

loc startdir = c(pwd)

* main data
cd "../../main/data_prepped"
loc maindatafiles: dir . file "maindata*.dta"
foreach f of loc maindatafiles {
    copy "`f'" "`startdir'/../data_prepped/`f'", replace
}

* ipw
cd "ipw"
loc ipwfiles: dir . file "*.dta"
foreach f of loc ipwfiles {
    copy "`f'" "`startdir'/../data_prepped/ipw/`f'", replace
}
loc ipwdirs: dir . dir "*"
foreach d of loc ipwdirs {
    cd "`d'"
    loc ipwfiles: dir . file "*.dta"
    confirmdir "`startdir'/../data_prepped/ipw/`d'"
    if real(r(confirmdir)) mkdir "`startdir'/../data_prepped/ipw/`d'"
    foreach f of loc ipwfiles {
        copy "`f'" "`startdir'/../data_prepped/ipw/`d'/`f'", replace
    }
    cd ".."
}

* pchjobs
cd "../pchjobs"
loc pchjobsfiles: dir . file "*.dta"
foreach f of loc pchjobsfiles {
    copy "`f'" "`startdir'/../data_prepped/pchjobs/`f'", replace
}
loc pchjobsdirs: dir . dir "*"
foreach d of loc pchjobsdirs {
    cd "`d'"
    loc pchjobsfiles: dir . file "*.dta"
    confirmdir "`startdir'/../data_prepped/pchjobs/`d'"
    if real(r(confirmdir)) mkdir "`startdir'/../data_prepped/pchjobs/`d'"
    foreach f of loc pchjobsfiles {
        copy "`f'" "`startdir'/../data_prepped/pchjobs/`d'/`f'", replace
    }
    cd ".."
}

cd "`startdir'"
