/*

Prepares upstream and downstream weights using IO table.

----------------------------------------------------------------------------- */

* prepare IO matrix
import delim using "../data_raw/processed_IOUse_After_Redefinitions_PRO_1997-2013_Summary_2007.csv", clear enc(utf8) varn(1)
ren v1 origin
keep if regexm(origin, "x_")
replace origin = regexr(origin, "x_", "")
destring origin, replace
ren x_* value*
keep origin value*
sreshape long value, i(origin) j(destination)
replace value = "" if value == "NA"
destring value, replace
replace value = 0 if mi(value) | value < 0

* create weights i->j as the fraction of j's purchases that come from i
bys destination: egen share_purchases = pc(value), prop

* create weights i->j as the fraction of i's sales that go to j
bys origin: egen share_sales = pc(value), prop

* save
compress
save "../data_prepped/linkage_weights", replace
