/*

Collapses IPW and pchjobs variables to state level.

----------------------------------------------------------------------------- */

* load programs
run "../../main/do/ipw_pchjobs_pr"

* --------- Merge 2003 labor and 2007 EMIM labor
use "../../main/data_prepped/lemim07", clear
ren id_mun municipio
merge 1:1 municipio using "../../main/data_raw/pop_manpop_municipio.dta", keepusing(L03) nogen
ren municipio id_mun
tempfile denominators
save `denominators'

* ------------------------------------------------------------------------------
* Percent changes in jobs

* --- Aggregate pchjobs for all pchjobs files in directory
loc pchjobsfiles: dir "../data_prepped/pchjobs" file "*.dta"
foreach pchjobsfile of loc pchjobsfiles {
    if regexm("`pchjobsfile'", "(.*)\.dta") loc pchjobsname = regexs(1)
    loc denomvar = cond("`pchjobsname'" == "lemim07", "lemim07", "L03")
    pchjobs_state, denomdta(`denominators') denomvar(`denomvar') infile("../data_prepped/pchjobs/`pchjobsname'") outfile("../data_prepped/pchjobs/state/`pchjobsname'")
}

* ------------------------------------------------------------------------------
* IPW

* --- Aggregate IPW for all ipw files in directory
loc ipwfiles: dir "../data_prepped/ipw" file "*.dta"
foreach ipwfile of loc ipwfiles {
    if regexm("`ipwfile'", "(.*)\.dta") loc ipwname = regexs(1)
    loc denomvar = cond(regexm("`ipwname'", "lemim07"), "lemim07", "L03")
    ipw_state, denomdta(`denominators') denomvar(`denomvar') infile("../data_prepped/ipw/`ipwname'") outfile("../data_prepped/ipw/state/`ipwname'")
}
