/*

Runs all code for main results.

----------------------------------------------------------------------------- */

* load programs
run frmttable.ado
run maketables

* load control lists
include conlist

* make directories for output
do mkdirs

* --------- Data prep

* prepare trade data
do preptrade_us13

* create IPW and pchjobs measures at municipality level
do ipw_pchjobs

* aggregate IPW and pchjobs measures to state level
do ipw_pchjobs_state

* prepare elections data
do elections

* create maindata (everything but IPW and pchjobs) at municipality level
do prep_maindata

* prepare opinion survey (ENCUP)
do encup

* aggregate maindata to state level
do prep_maindata_state

* prepare main data for pre-period (placebo) analysis
do prep_pop_90_10
do prep_maindata_preperiod

* prepare 1998-2003 data
do ipw_pchjobs_9803
do prep_maindata_9803

* prepare 1998-2013 data
do ipw_pchjobs_9813
do prep_maindata_9813

* ------------------------------------------------------------------------------
* Create results

* summary statistics
mksummstats, outfldr("../results/tables/nostars/summstats") ipwdata_main(prd_us_l03_4dig) pchjobsdata_main(l03) wtvar_main(L03) ipwdata98(prd_us_l98_4dig) pchjobsdata98(l98) wtvar98(labor98)

* regression tables
maketables_main, outfldr("../results/tables/nostars/main") convars_main(`convars_main') convars_pp_core(`convars_pp_core') convars_pp_prefix(`convars_pp_prefix') convars98(`convars98') ipwdatalist_main(prd_us_l03_4dig) pchjobsdata_main(l03) wtvar_main(L03) ipwdatalist98(prd_us_l98_4dig) pchjobsdata98(l98) wtvar98(labor98)

* predict homicides (see predicthom.do for assertions of the share predicted)
do predicthom

* compute variable means for start and end period (output log file)
do start_end_means

* ------------------------------------------------------------------------------
* Compile tables

* --- NOTE: will only work in Windows
loc pwd = c(pwd)
shell(cd "../results" & pdflatex main_nostars.tex --quiet & echo Successfully compiled results/main_nostars.pdf & timeout 2)
cd "`pwd'"
