/*

Prepares main data at state level.

----------------------------------------------------------------------------- */

* collapse municipality level data to state level
use "../data_prepped/maindata.dta", clear
drop if tipo_mun == "RU"
collapse (sum) L03 lemim07 pop_05 hom_pres2007 hom_pres2010, by(ent)

* create differences in homicides per 100k
gen homdiff_rate_long3ent = ((hom_pres2010 - hom_pres2007) / pop_05) * 100000

* merge with political outcome data
merge 1:1 ent using "../data_prepped/encup", nogen assert(match)

* save
save "../data_prepped/maindata_state.dta", replace
