/*

Prepare 2013 Chinese exports to US.

----------------------------------------------------------------------------- */

* data was downloaded from the Comtrade website
import delim using "../data_raw/comtrade_chinatous_2013", clear
keep commoditycode tradevalueus
collapse (sum) tradevalueus, by(commoditycode)
drop if commoditycode == 999999

* merge with correspondance table to get SCIAN codes
ren commoditycode hs07
merge 1:m hs07 using "../../main/data_raw/hs6_2007_scian", assert(using match) keep(match) nogen

* if hs code matched to multiple clases, distribute trade value evenly among clases
bys hs07: replace tradevalueus = tradevalueus / _N

* scian codes often matched to multiple hs codes, so sum trade value within a scian code
collapse (sum) tradevalueus, by(scian)

* save 6-digit data
assert(substr(string(scian), 7, 1) == "0")
replace scian = scian / 10
ren scian clase
save "../data_prepped/comtrade_us13_6dig", replace

* save 4-digit data
gen rama = real(substr(string(clase, "%06.0f"), 1, 4))
collapse (sum) tradevalueus, by(rama)
compress
save "../data_prepped/comtrade_us13", replace
